
QGIS Application - Bug report #13804

Snap mode for layers in Advanced digitizing panel is broken

2015-11-11 04:03 AM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.8.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21829

Description

When using Advanced Digitizing tool to add new features, it ignores the snap setting from project or no layer and always tries to snap to

all loaded layers.

In my case I have several vectors and QGIS becomes unusable.

History

#1 - 2015-11-29 02:54 AM - Giovanni Manghi

- Status changed from Open to Feedback

Shouldn't this be tagged as regression?

#2 - 2015-11-29 02:17 PM - Saber Razmjooei

- Status changed from Feedback to Open

Not aware of previously reported bug on that. It is mainly inconsistency between the snap mode settings which leads to QGIS digitising tools becoming

unusable.

#3 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2017-05-30 09:28 AM - Saber Razmjooei

- Status changed from Open to Closed

- Description updated
